import pytest

from all_backend_api.janus_request import janus_request
from ids_list import get_ids
import path_setting
from in_common.base_request import BaseRequest


class TestMineGuessYouLike:
    data = BaseRequest().api_load(path_setting.JANUS_MINE_GUESS_YOU_LIKE)
    mine_guess_you_like_case, mine_guess_you_like_data = get_ids(data, "mine_guess_you_like")

    @pytest.mark.parametrize("param", mine_guess_you_like_data, ids=mine_guess_you_like_case)
    def test_mine_guess_you_like(self, param):
        r = janus_request().mine_guess_you_like()

        if r["error"] == 0:
            assert r["error"] == param["assert_error"]
